Loading...
Searching...
No Matches
Gudhi::witness_complex::Active_witness_iterator< Active_witness, Id_distance_pair, INS_iterator > Class Template Reference

Iterator in the nearest landmark list. More...

`#include <include/gudhi/Active_witness/Active_witness_iterator.h>`

## Detailed Description

template<typename Active_witness, typename Id_distance_pair, typename INS_iterator>
class Gudhi::witness_complex::Active_witness_iterator< Active_witness, Id_distance_pair, INS_iterator >

Iterator in the nearest landmark list.

After the iterator reaches the end of the list, the list is augmented by a (nearest landmark, distance) pair if possible. If all the landmarks are present in the list, iterator returns the specific end value of the corresponding 'Active_witness' object.

The documentation for this class was generated from the following file:

- include/gudhi/Active_witness/Active_witness_iterator.h